import 'package:flutter/widgets.dart';
import 'package:provider/provider.dart';
import 'package:widgetbook2/src/addons/theme_addon/theme_provider.dart';
import 'package:widgetbook2/widgetbook2.dart';

class CustomThemeAddon<T> extends ThemeAddon<T> {
  CustomThemeAddon({
    required ThemeSetting<T> themeSetting,
  }) : super(setting: themeSetting);
}

extension CustomThemeExtension on BuildContext {
  T theme<T>() => watch<ThemeProvider<T>>().value.data;
}
