import 'package:flutter/material.dart';
import 'package:widgetbook2/widgetbook2.dart';

class LocalizationSettingProvider extends ValueNotifier<LocalizationSetting> {
  LocalizationSettingProvider(super.data);

  void tapped(Locale locale) {
    final currentSelection = Set<Locale>.from(value.activeLocales);
    if (currentSelection.contains(locale)) {
      currentSelection.remove(locale);
    } else {
      currentSelection.add(locale);
    }

    value = value.copyWith(activeLocales: currentSelection);
  }
}
